English

Error: Solaris - ARC HELP: ld.so.1 error (libXmu.so.4)

Solution or Workaround

Why does typing the ARC HELP command give the following message?

ld.so.1: /esri/hh_solaris2/bin/hyperhelp: fatal: libXmu.so.4: can't open file:
errno=2

Cause:

The library "libXmu.so.4" resides in /usr/openwin/lib; if the path to this library is not included in the LD_LIBRARY_PATH environment variable, HyperHelp (the ArcDoc viewer) will not be able to find the library and will fail with the "libXmu.so.4" message.

Answer:

Update the LD_LIBRARY_PATH environment variable to include the "/usr/openwin/lib" path. The resulting setenv line should look like:

setenv LD_LIBRARY_PATH $ARCHOME/lib:/usr/lib:/usr/openwin/lib

Once the .cshrc file containing the LD_LIBRARY_PATH environment has been saved and sourced (sourced using the c-shell command "source ~/.cshrc"), ArcDoc will start.

Notes:

The path to the /usr/openwin/lib must be included in the LD_LIBRARY_PATH environment for the ARC HELP command to function even if you are working in a CDE (Common Desktop Environment) session.